## lttoolbox 3.5.4

=== debian/changelog ===
lttoolbox (3.5.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:06:44 +0000

lttoolbox (3.5.4-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream non-ICU release
  * Fixed debian/watch to what I actually meant

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Fri, 29 Oct 2021 10:41:38 +0530

lttoolbox (3.5.3-2) unstable; urgency=low

  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 25 Jan 2021 21:27:52 +0530

=== debian/control ===
Source: lttoolbox
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libxml2-dev,
               libxml2-utils,
               pkg-config,
               python3-dev,
               python3-setuptools,
               swig
Standards-Version: 4.6.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
Rules-Requires-Root: no

Package: lttoolbox
Architecture: any
Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Apertium lexical processing modules and tools
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.

Package: liblttoolbox3-3.5-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblttoolbox
Conflicts: liblttoolbox, liblttoolbox3
Replaces: liblttoolbox,
          liblttoolbox3,
          liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
Description: Shared library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides shared library for lttoolbox.

Package: lttoolbox-dev
Architecture: any
Depends: lttoolbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: liblttoolbox3-dev
Replaces: liblttoolbox3-dev
Description: Development tools and library for lttoolbox
 The lttoolbox contains the augmented letter transducer tools for natural
 language processing used by Apertium, a platform for building rule-based
 and hybrid machine translation systems. The software is also useful
 for making morphological analysers and generators for natural language
 processing applications.
 .
 This package provides development files for lttoolbox.

Package: python3-lttoolbox
Architecture: any
Section: python
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Apertium lexical processing modules and tools (Python 3 module)
 Python 3 module for applications using the Apertium lexical processing
 modules and tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://github.com/apertium/lttoolbox/releases \
 .*/lttoolbox-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## lttoolbox 3.6.4

=== debian/changelog ===
lttoolbox (3.6.4-1) unstable; urgency=high

  [ Tino Didriksen ]
  * New upstream release
   + Includes fix for missing ICU linkage (Closes: #1010094)

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 Apr 2022 20:05:34 +0530

lttoolbox (3.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 19:17:17 +0530

lttoolbox (3.6.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Fixes Python autopkgtest failure
  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Mar 2022 17:01:13 +0530

lttoolbox (3.6.0-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Mar 2022 21:55:01 +0530

lttoolbox (3.6.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream:
    + Updated package names for soname bump.

  [ Kartik Mistry ]
  * debian/copyright:
    + Updated Debian copyright year.
    + Removed BSL-1.0 license. Files are no longer used.
  * debian/control:
    + Removed XB-Python-Version.
  * Removed unused Lintian overrides.

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 Mar 2022 17:42:48 +0530

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
+               libicu-dev,
+               libutfcpp-dev,
                libxml2-dev,
                libxml2-utils,
                pkg-config,
@@ -21,7 +23,7 @@
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
+Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -31,7 +33,7 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.5-1
+Package: liblttoolbox3-3.6-1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -54,7 +56,11 @@
 
 Package: lttoolbox-dev
 Architecture: any
-Depends: lttoolbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libicu-dev,
+         libutfcpp-dev,
+         lttoolbox (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
 Replaces: liblttoolbox3-dev
 Description: Development tools and library for lttoolbox
@@ -70,8 +76,7 @@
 Architecture: any
 Section: python
 Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
-Depends: liblttoolbox3-3.5-1 (= ${binary:Version}),
+Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=4
https://github.com/apertium/lttoolbox/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## lttoolbox 3.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
project(lttoolbox
	VERSION 3.5.2
	LANGUAGES CXX C
	)
set(VERSION ${PROJECT_VERSION})
set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(VERSION_API "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
set(SOVERSION 1.0.0)
set(PACKAGE_BUGREPORT "apertium-stuff@lists.sourceforge.net")

add_definitions("-DPACKAGE_VERSION=\"${PROJECT_VERSION}\"")

set(MASTER_PROJECT OFF)
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
	set(MASTER_PROJECT ON)
endif ()

# Release or Debug
if(MASTER_PROJECT AND NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_MACOSX_RPATH ON)

include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "Set to OFF to use static library" ON)
option(BUILD_TESTING "Set to OFF to disable tests" ON)
option(ENABLE_PYTHON_BINDINGS "Set to ON to build the Python wrapper" OFF)

if(MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /utf-8 /std:c++latest /Zc:__cplusplus /permissive- /W4 /MP")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
	set(CMAKE_C_FLAGS ${CMAKE_CXX_FLAGS})
	set(CMAKE_C_FLAGS_RELEASE ${CMAKE_CXX_FLAGS_RELEASE})
else()
	set(_FLAGS_COMMON "-Wall -Wextra -Wno-missing-field-initializers -Wno-deprecated -Wno-unused-parameter -fPIC")

	include(CheckCCompilerFlag)
	include(CheckCXXCompilerFlag)

	foreach(flag "-Wno-unused-result" "-flto")
		string(REGEX REPLACE "[^A-Za-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(_FLAGS_COMMON "${_FLAGS_COMMON} ${flag}")
		endif()
	endforeach()
	if(COMPILER_SUPPORTS_flto)
		set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
	endif()

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_FLAGS_COMMON} -fvisibility-inlines-hidden")

	# Enable latest possible C standard
	foreach(flag "-std=c2x" "-std=c11" "-std=c1x" "-std=c99")
		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
		CHECK_C_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
			break()
		endif()
	endforeach()

	# Require latest possible C++ standard
	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
			set(_ENABLED_CXX ${flag})
			break()
		endif()
	endforeach()
	if(NOT _ENABLED_CXX)
		message(FATAL_ERROR "Could not enable at least C++14 (C++1y) - upgrade your compiler")
	endif()

	# Generate pkg-config file
	set(prefix      ${CMAKE_INSTALL_PREFIX})
	set(exec_prefix "\${prefix}")
	set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
	set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
	configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
endif()

try_compile(SIZET_NOT_CSTDINT ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/lttoolbox/check-cstdint.cc)
if(SIZET_NOT_CSTDINT)
	add_definitions(-DSIZET_NOT_CSTDINT)
endif()

find_package(LibXml2 REQUIRED)
include_directories(${LIBXML2_INCLUDE_DIR})

if(WIN32)
	add_definitions(-D_SECURE_SCL=0 -D_ITERATOR_DEBUG_LEVEL=0 -D_CRT_SECURE_NO_DEPRECATE -DWIN32_LEAN_AND_MEAN -DVC_EXTRALEAN -DNOMINMAX)
	add_definitions(-DSTDC_HEADERS -DREGEX_MALLOC)
	include_directories("lttoolbox/win32")
else()
	add_definitions(-D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
endif()

# Unlocked I/O functions
include(CheckSymbolExists)
set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked)
	string(TOUPPER ${func} _uc)
	CHECK_SYMBOL_EXISTS(${func} "stdio.h" HAVE_DECL_${_uc})
	if(HAVE_DECL_${_uc})
		add_definitions(-DHAVE_DECL_${_uc})
	endif()
endforeach()
unset(CMAKE_REQUIRED_DEFINITIONS)

# getopt
find_path(GETOPT_INCLUDE getopt.h)
include_directories(${GETOPT_INCLUDE})
if(VCPKG_TOOLCHAIN)
	find_library(GETOPT_LIB NAMES getopt)
	add_definitions(-DHAVE_GETOPT_LONG)
else()
	set(GETOPT_LIB)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if(BUILD_TESTING)
	enable_testing()
	find_package(PythonInterp 3.5 REQUIRED)
	set(ENV{CTEST_OUTPUT_ON_FAILURE} 1)
	set(CMAKE_CTEST_ARGUMENTS "-VV")
endif()

add_subdirectory(lttoolbox)

if(ENABLE_PYTHON_BINDINGS)
	add_subdirectory(python)
endif()

=== lttoolbox/CMakeLists.txt ===
set(LIBLTTOOLBOX_HEADERS
	alphabet.h
	att_compiler.h
	buffer.h
	compiler.h
	compression.h
	deserialiser.h
	entry_token.h
	exception.h
	expander.h
	fst_processor.h
	lt_locale.h
	ltstr.h
	match_exe.h
	match_node.h
	match_state.h
	my_stdio.h
	node.h
	pattern_list.h
	regexp_compiler.h
	serialiser.h
	sorted_vector.h
	state.h
	string_to_wostream.h
	tmx_compiler.h
	trans_exe.h
	transducer.h
	xml_parse_util.h
	)
set(LIBLTTOOLBOX_SOURCES
	alphabet.cc
	att_compiler.cc
	compiler.cc
	compression.cc
	entry_token.cc
	expander.cc
	fst_processor.cc
	lt_locale.cc
	match_exe.cc
	match_node.cc
	match_state.cc
	node.cc
	pattern_list.cc
	regexp_compiler.cc
	sorted_vector.cc
	state.cc
	tmx_compiler.cc
	trans_exe.cc
	transducer.cc
	xml_parse_util.cc
	${LIBLTTOOLBOX_HEADERS}
	)
if(WIN32)
	set(LIBLTTOOLBOX_SOURCES
		win32/libgen.c
		win32/libgen.h
		win32/regex.c
		win32/regex.h
		win32/unistd.h
		${LIBLTTOOLBOX_SOURCES}
		)
	if(NOT VCPKG_TOOLCHAIN)
		set(LIBLTTOOLBOX_SOURCES
			win32/getopt.c
			win32/getopt.h
			${LIBLTTOOLBOX_SOURCES}
			)
	endif()
else()
	set(GETOPT)
endif()

set(LibLttoolbox "lttoolbox${PROJECT_VERSION_MAJOR}-${VERSION_API}")
add_library(${LibLttoolbox} ${LIBLTTOOLBOX_SOURCES})
target_compile_definitions(${LibLttoolbox} PRIVATE LTTOOLBOX_EXPORTS)
set_target_properties(${LibLttoolbox} PROPERTIES SOVERSION ${SOVERSION} VERSION ${VERSION})
target_link_libraries(${LibLttoolbox} ${LIBXML2_LIBRARIES})

add_executable(lt-print lt_print.cc)
target_link_libraries(lt-print ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-trim lt_trim.cc)
target_link_libraries(lt-trim ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-comp lt_comp.cc)
target_link_libraries(lt-comp ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-proc lt_proc.cc)
target_link_libraries(lt-proc ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-expand lt_expand.cc)
target_link_libraries(lt-expand ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-tmxcomp lt_tmxcomp.cc)
target_link_libraries(lt-tmxcomp ${LibLttoolbox} ${GETOPT_LIB})

add_executable(lt-tmxproc lt_tmxproc.cc)
target_link_libraries(lt-tmxproc ${LibLttoolbox} ${GETOPT_LIB})

if(BUILD_TESTING)
	add_test(NAME tests COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_SOURCE_DIR}/tests/run_tests.py" $<TARGET_FILE_DIR:lt-comp>)
	set_tests_properties(tests PROPERTIES FAIL_REGULAR_EXPRESSION "FAILED")
endif()

install(TARGETS ${LibLttoolbox}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${LIBLTTOOLBOX_HEADERS}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lttoolbox-${VERSION_API}/lttoolbox)
install(TARGETS lt-print lt-trim lt-comp lt-proc lt-expand lt-tmxcomp lt-tmxproc
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES dix.dtd dix.rng dix.rnc acx.rng xsd/dix.xsd xsd/acx.xsd
	DESTINATION ${CMAKE_INSTALL_DATADIR}/lttoolbox)

install(FILES lt-comp.1 lt-expand.1 lt-proc.1 lt-tmxcomp.1 lt-tmxproc.1 lt-print.1 lt-trim.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
lttoolbox (3.6.6-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream release:
    + Fixes data compilation bug.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jun 2022 16:44:19 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.0.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox

## lttoolbox 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,11 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(lttoolbox
-	VERSION 3.5.2
+	VERSION 3.7.0
 	LANGUAGES CXX C
 	)
 set(VERSION ${PROJECT_VERSION})
-set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
-set(VERSION_API "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
-set(SOVERSION 1.0.0)
+set(VERSION_ABI 3)
 set(PACKAGE_BUGREPORT "apertium-stuff@lists.sourceforge.net")
 
 add_definitions("-DPACKAGE_VERSION=\"${PROJECT_VERSION}\"")
@@ -68,7 +66,7 @@
 	endforeach()
 
 	# Require latest possible C++ standard
-	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
+	foreach(flag "-std=c++23" "-std=c++2b"  "-std=c++20" "-std=c++2a" "-std=c++17")
 		string(REGEX REPLACE "[^a-z0-9]" "-" _flag ${flag})
 		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
 		if(COMPILER_SUPPORTS_${_flag})
@@ -78,7 +76,7 @@
 		endif()
 	endforeach()
 	if(NOT _ENABLED_CXX)
-		message(FATAL_ERROR "Could not enable at least C++14 (C++1y) - upgrade your compiler")
+		message(FATAL_ERROR "Could not enable at least C++17 - upgrade your compiler")
 	endif()
 
 	# Generate pkg-config file
@@ -106,6 +104,10 @@
 	add_definitions(-D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
 endif()
 
+if(NOT APPLE)
+	find_package(Threads REQUIRED)
+endif()
+
 # Unlocked I/O functions
 include(CheckSymbolExists)
 set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
@@ -128,6 +130,9 @@
 	set(GETOPT_LIB)
 endif()
 
+# ICU
+find_package(ICU COMPONENTS i18n io uc REQUIRED)
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 if(BUILD_TESTING)

=== lttoolbox/CMakeLists.txt ===
set(LIBLTTOOLBOX_HEADERS
	acx.h
	alphabet.h
	att_compiler.h
	buffer.h
	cli.h
	compiler.h
	compression.h
	deserialiser.h
	entry_token.h
	exception.h
	expander.h
	file_utils.h
	fst_processor.h
	input_file.h
	lt_locale.h
	match_exe.h
	match_node.h
	match_state.h
	my_stdio.h
	node.h
	pattern_list.h
	regexp_compiler.h
	serialiser.h
	sorted_vector.h
	sorted_vector.hpp
	state.h
	string_utils.h
	tmx_compiler.h
	transducer.h
	trans_exe.h
	ustring.h
	xml_parse_util.h
	xml_walk_util.h
	)
set(LIBLTTOOLBOX_SOURCES
	acx.cc
	alphabet.cc
	att_compiler.cc
	cli.cc
	compiler.cc
	compression.cc
	entry_token.cc
	expander.cc
	file_utils.cc
	fst_processor.cc
	input_file.cc
	lt_locale.cc
	match_exe.cc
	match_node.cc
	match_state.cc
	node.cc
	pattern_list.cc
	regexp_compiler.cc
	sorted_vector.cc
	state.cc
	string_utils.cc
	tmx_compiler.cc
	transducer.cc
	trans_exe.cc
	ustring.cc
	xml_parse_util.cc
	xml_walk_util.cc
	${LIBLTTOOLBOX_HEADERS}
	)
if(WIN32)
	set(LIBLTTOOLBOX_SOURCES
		win32/libgen.c
		win32/libgen.h
		win32/regex.c
		win32/regex.h
		win32/unistd.h
		${LIBLTTOOLBOX_SOURCES}
		)
	if(NOT VCPKG_TOOLCHAIN)
		set(LIBLTTOOLBOX_SOURCES
			win32/getopt.c
			win32/getopt.h
			${LIBLTTOOLBOX_SOURCES}
			)
	endif()
else()
	set(GETOPT)
endif()

add_library(lttoolbox ${LIBLTTOOLBOX_SOURCES})
target_compile_definitions(lttoolbox PRIVATE LTTOOLBOX_EXPORTS)
set_target_properties(lttoolbox PROPERTIES SOVERSION ${VERSION_ABI})
target_link_libraries(lttoolbox ${LIBXML2_LIBRARIES} ${ICU_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

add_executable(lt-print lt_print.cc)
target_link_libraries(lt-print lttoolbox ${GETOPT_LIB})

add_executable(lt-trim lt_trim.cc)
target_link_libraries(lt-trim lttoolbox ${GETOPT_LIB})

add_executable(lt-comp lt_comp.cc)
target_link_libraries(lt-comp lttoolbox ${GETOPT_LIB})

add_executable(lt-proc lt_proc.cc)
target_link_libraries(lt-proc lttoolbox ${GETOPT_LIB})

add_executable(lt-expand lt_expand.cc)
target_link_libraries(lt-expand lttoolbox ${GETOPT_LIB})

add_executable(lt-tmxcomp lt_tmxcomp.cc)
target_link_libraries(lt-tmxcomp lttoolbox ${GETOPT_LIB})

add_executable(lt-tmxproc lt_tmxproc.cc)
target_link_libraries(lt-tmxproc lttoolbox ${GETOPT_LIB})

if(BUILD_TESTING)
	add_test(NAME tests COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_SOURCE_DIR}/tests/run_tests.py" $<TARGET_FILE_DIR:lt-comp>)
	set_tests_properties(tests PROPERTIES FAIL_REGULAR_EXPRESSION "FAILED")
endif()

install(TARGETS lttoolbox
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${LIBLTTOOLBOX_HEADERS}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lttoolbox)
install(TARGETS lt-print lt-trim lt-comp lt-proc lt-expand lt-tmxcomp lt-tmxproc
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES dix.dtd dix.rng dix.rnc acx.rng xsd/dix.xsd xsd/acx.xsd
	DESTINATION ${CMAKE_INSTALL_DATADIR}/lttoolbox)

install(FILES lt-comp.1 lt-expand.1 lt-proc.1 lt-tmxcomp.1 lt-tmxproc.1 lt-print.1 lt-trim.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
lttoolbox (3.7.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 01 Nov 2022 09:38:15 +0100

lttoolbox (3.7.0-1) experimental; urgency=medium

  * Update to latest upstream:
    + Updated package names for soname untangling.
    + Binary lsx-comp moved from package apertium-separable
  * debian/
    + docs: Removed AUTHORS in favour of installing it via rules -A
    + copyright: python/* is GPLv3+

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 26 Oct 2022 13:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
@@ -23,7 +23,7 @@
 
 Package: lttoolbox
 Architecture: any
-Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
+Depends: liblttoolbox3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Apertium lexical processing modules and tools
@@ -33,17 +33,15 @@
  for making morphological analysers and generators for natural language
  processing applications.
 
-Package: liblttoolbox3-3.6-1
+Package: liblttoolbox3
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblttoolbox
-Conflicts: liblttoolbox, liblttoolbox3
-Replaces: liblttoolbox,
-          liblttoolbox3,
-          liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
+Conflicts: liblttoolbox
+Replaces: liblttoolbox, liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Breaks: liblttoolbox3-3.3-0v5 (<= 3.3.2~r61000-3.1)
 Description: Shared library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
@@ -62,7 +60,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
-Replaces: liblttoolbox3-dev
+Replaces: apertium-separable (<< 0.6.1-1), liblttoolbox3-dev
+Breaks: apertium-separable (<< 0.6.1-1)
 Description: Development tools and library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based
@@ -76,7 +75,7 @@
 Architecture: any
 Section: python
 Provides: ${python3:Provides}
-Depends: liblttoolbox3-3.6-1 (= ${binary:Version}),
+Depends: liblttoolbox3 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto"
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

## lttoolbox 3.7.6

=== debian/changelog ===
lttoolbox (3.7.6-1build3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:31:06 +0100

lttoolbox (3.7.6-1build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:46 +0100

lttoolbox (3.7.6-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:22:16 +0000

lttoolbox (3.7.6-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 28 Dec 2023 01:40:15 +0100

lttoolbox (3.7.1-3) unstable; urgency=medium

  * Upload fix to unstable

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 30 Oct 2023 14:30:12 +0100

lttoolbox (3.7.1-2) experimental; urgency=medium

  * Snip symlink creation from 3.6 days (Closes: #1035863)

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 10 May 2023 12:10:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
 
-export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto"
+export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## lttoolbox 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(lttoolbox
-	VERSION 3.7.0
+	VERSION 3.8.0
 	LANGUAGES CXX C
 	)
 set(VERSION ${PROJECT_VERSION})
 set(VERSION_ABI 3)
+set(PACKAGE_NAME ${PROJECT_NAME})
 set(PACKAGE_BUGREPORT "apertium-stuff@lists.sourceforge.net")
 
 add_definitions("-DPACKAGE_VERSION=\"${PROJECT_VERSION}\"")
@@ -78,15 +79,15 @@
 	if(NOT _ENABLED_CXX)
 		message(FATAL_ERROR "Could not enable at least C++17 - upgrade your compiler")
 	endif()
+endif()
 
-	# Generate pkg-config file
-	set(prefix      ${CMAKE_INSTALL_PREFIX})
-	set(exec_prefix "\${prefix}")
-	set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
-	set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
-	configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
-	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
-endif()
+# Generate pkg-config file
+set(prefix      ${CMAKE_INSTALL_PREFIX})
+set(exec_prefix "\${prefix}")
+set(libdir      "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
+set(includedir  "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
+configure_file(lttoolbox.pc.in lttoolbox.pc @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lttoolbox.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
 
 try_compile(SIZET_NOT_CSTDINT ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/lttoolbox/check-cstdint.cc)
 if(SIZET_NOT_CSTDINT)
@@ -111,7 +112,7 @@
 # Unlocked I/O functions
 include(CheckSymbolExists)
 set(CMAKE_REQUIRED_DEFINITIONS -D_POSIX_C_SOURCE=200112 -D_GNU_SOURCE)
-foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked)
+foreach(func fread_unlocked fwrite_unlocked fgetc_unlocked fputc_unlocked fputs_unlocked fmemopen)
 	string(TOUPPER ${func} _uc)
 	CHECK_SYMBOL_EXISTS(${func} "stdio.h" HAVE_DECL_${_uc})
 	if(HAVE_DECL_${_uc})
@@ -124,20 +125,29 @@
 find_path(GETOPT_INCLUDE getopt.h)
 include_directories(${GETOPT_INCLUDE})
 if(VCPKG_TOOLCHAIN)
-	find_library(GETOPT_LIB NAMES getopt)
+	find_library(GETOPT_LIB NAMES getopt REQUIRED)
 	add_definitions(-DHAVE_GETOPT_LONG)
 else()
 	set(GETOPT_LIB)
+	CHECK_SYMBOL_EXISTS(getopt_long "getopt.h" HAVE_DECL_GETOPT_LONG)
+	if(HAVE_DECL_GETOPT_LONG)
+		add_definitions(-DHAVE_GETOPT_LONG)
+	endif()
 endif()
 
 # ICU
 find_package(ICU COMPONENTS i18n io uc REQUIRED)
 
+# utf8cpp / utfcpp
+find_path(UTFCPP_INCLUDE_DIRS utf8.h PATH_SUFFIXES utf8cpp utfcpp utf8 REQUIRED)
+include_directories(${UTFCPP_INCLUDE_DIRS})
+
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 if(BUILD_TESTING)
 	enable_testing()
-	find_package(PythonInterp 3.5 REQUIRED)
+	find_package(Python 3.8 REQUIRED)
+	set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})
 	set(ENV{CTEST_OUTPUT_ON_FAILURE} 1)
 	set(CMAKE_CTEST_ARGUMENTS "-VV")
 endif()

=== debian/changelog ===
lttoolbox (3.8.0-2ubuntu1) questing; urgency=medium

  * Fix ftbfs with libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 13:36:30 +0200

lttoolbox (3.8.0-2build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:24:17 +0200

lttoolbox (3.8.0-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:39 +0200

lttoolbox (3.8.0-2) unstable; urgency=medium

  * Add patch to raise timeout, as riscv64 buildd is too slow

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 11 Apr 2025 10:38:24 +0200

lttoolbox (3.8.0-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 10:10:25 +0200

## lttoolbox 3.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(lttoolbox
-	VERSION 3.8.0
+	VERSION 3.8.2
 	LANGUAGES CXX C
 	)
 set(VERSION ${PROJECT_VERSION})

=== lttoolbox/CMakeLists.txt ===
set(LIBLTTOOLBOX_HEADERS
	acx.h
	alphabet.h
	att_compiler.h
	buffer.h
	cli.h
	compiler.h
	compression.h
	deserialiser.h
	entry_token.h
	exception.h
	expander.h
	file_utils.h
	fst_processor.h
	input_file.h
	lt_locale.h
	match_exe.h
	match_node.h
	match_state.h
	my_stdio.h
	node.h
	pattern_list.h
	regexp_compiler.h
	serialiser.h
	sorted_vector.h
	sorted_vector.hpp
	state.h
	stream_reader.h
	string_utils.h
	symbol_iter.h
	tmx_compiler.h
	transducer.h
	trans_exe.h
	ustring.h
	xml_parse_util.h
	xml_walk_util.h
	)
set(LIBLTTOOLBOX_SOURCES
	acx.cc
	alphabet.cc
	att_compiler.cc
	cli.cc
	compiler.cc
	compression.cc
	entry_token.cc
	expander.cc
	file_utils.cc
	fst_processor.cc
	input_file.cc
	lt_locale.cc
	match_exe.cc
	match_node.cc
	match_state.cc
	node.cc
	pattern_list.cc
	regexp_compiler.cc
	sorted_vector.cc
	state.cc
	stream_reader.cc
	string_utils.cc
	symbol_iter.cc
	tmx_compiler.cc
	transducer.cc
	trans_exe.cc
	ustring.cc
	xml_parse_util.cc
	xml_walk_util.cc
	${LIBLTTOOLBOX_HEADERS}
	)
if(MSVC)
	set(LIBLTTOOLBOX_SOURCES
		win32/libgen.c
		win32/libgen.h
		win32/regex.c
		win32/regex.h
		win32/unistd.h
		${LIBLTTOOLBOX_SOURCES}
		)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(lttoolbox ${LIBLTTOOLBOX_SOURCES})
target_compile_definitions(lttoolbox PRIVATE LTTOOLBOX_EXPORTS)
set_target_properties(lttoolbox PROPERTIES VERSION ${VERSION_ABI}.0.0 SOVERSION ${VERSION_ABI})
target_link_libraries(lttoolbox ${LIBXML2_LIBRARIES} ${ICU_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${GETOPT_LIB})

add_executable(lt-append lt_append.cc)
target_link_libraries(lt-append lttoolbox ${GETOPT_LIB})

add_executable(lt-print lt_print.cc)
target_link_libraries(lt-print lttoolbox ${GETOPT_LIB})

add_executable(lt-trim lt_trim.cc)
target_link_libraries(lt-trim lttoolbox ${GETOPT_LIB})

add_executable(lt-compose lt_compose.cc)
target_link_libraries(lt-compose lttoolbox ${GETOPT_LIB})

add_executable(lt-comp lt_comp.cc)
target_link_libraries(lt-comp lttoolbox ${GETOPT_LIB})

add_executable(lt-proc lt_proc.cc)
target_link_libraries(lt-proc lttoolbox ${GETOPT_LIB})

add_executable(lt-merge lt_merge.cc)
target_link_libraries(lt-merge lttoolbox ${GETOPT_LIB})

add_executable(lt-expand lt_expand.cc)
target_link_libraries(lt-expand lttoolbox ${GETOPT_LIB})

add_executable(lt-paradigm lt_paradigm.cc)
target_link_libraries(lt-paradigm lttoolbox ${GETOPT_LIB})

add_executable(lt-tmxcomp lt_tmxcomp.cc)
target_link_libraries(lt-tmxcomp lttoolbox ${GETOPT_LIB})

add_executable(lt-tmxproc lt_tmxproc.cc)
target_link_libraries(lt-tmxproc lttoolbox ${GETOPT_LIB})

add_executable(lt-invert lt_invert.cc)
target_link_libraries(lt-invert lttoolbox ${GETOPT_LIB})

add_executable(lt-restrict lt_restrict.cc)
target_link_libraries(lt-restrict lttoolbox ${GETOPT_LIB})

add_executable(lt-apply-acx lt_apply_acx.cc)
target_link_libraries(lt-apply-acx lttoolbox ${GETOPT_LIB})

if(BUILD_TESTING)
	add_test(NAME tests COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_SOURCE_DIR}/tests/run_tests.py" $<TARGET_FILE_DIR:lt-comp>)
	set_tests_properties(tests PROPERTIES FAIL_REGULAR_EXPRESSION "FAILED")
endif()

if(WIN32)
	add_custom_target(lsx-comp ALL COMMAND ${CMAKE_COMMAND} -E copy_if_different $<TARGET_FILE:lt-comp> lsx-comp.exe DEPENDS lt-comp)
	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lsx-comp.exe DESTINATION ${CMAKE_INSTALL_BINDIR})
	add_custom_target(lsx-comp-man ALL COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/lt-comp.1 lsx-comp.1 DEPENDS lt-comp)
else()
	add_custom_target(lsx-comp ALL COMMAND ${CMAKE_COMMAND} -E create_symlink lt-comp lsx-comp DEPENDS lt-comp)
	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lsx-comp DESTINATION ${CMAKE_INSTALL_BINDIR})
	add_custom_target(lsx-comp-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink lt-comp.1 lsx-comp.1 DEPENDS lt-comp)
endif()
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lsx-comp.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

install(TARGETS lttoolbox
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${LIBLTTOOLBOX_HEADERS}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/lttoolbox)
install(TARGETS lt-append lt-print lt-trim lt-compose lt-comp lt-proc lt-merge lt-expand lt-paradigm lt-tmxcomp lt-tmxproc lt-invert lt-restrict lt-apply-acx
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES dix.dtd dix.rng dix.rnc acx.rng xsd/dix.xsd xsd/acx.xsd
	DESTINATION ${CMAKE_INSTALL_DATADIR}/lttoolbox)

install(FILES lt-append.1 lt-comp.1 lt-expand.1 lt-paradigm.1 lt-proc.1 lt-merge.1 lt-tmxcomp.1 lt-tmxproc.1 lt-print.1 lt-trim.1 lt-compose.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== python/CMakeLists.txt ===
find_package(SWIG 3.0 REQUIRED)
find_package(Python 3.8 REQUIRED)
set(PYTHON_EXECUTABLE ${Python_EXECUTABLE})

get_directory_property(_defs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} COMPILE_DEFINITIONS)
string(REPLACE ";" " -D" defs "-D${_defs}")

set(PYTHON_FILE "lttoolbox.py")
set(CPP_WRAP_FILE "lttoolbox_wrap.cpp")
set(top_srcdir ${CMAKE_SOURCE_DIR})
set(BUILD_LIBDIR $<TARGET_FILE_DIR:lttoolbox>)
set(CXXFLAGS "${CMAKE_CXX_FLAGS} ${defs}")
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_NAME ${PROJECT_NAME})
set(PACKAGE_VERSION ${PROJECT_VERSION})
set(LIBXML_CFLAGS ${LIBXML2_INCLUDE_DIR})
set(ICU_CFLAGS ${ICU_INCLUDE_DIR})

configure_file(lttoolbox.i.in lttoolbox.i @ONLY)
configure_file(setup.py.in setup.py @ONLY)
file(GENERATE OUTPUT setup.py INPUT ${CMAKE_CURRENT_BINARY_DIR}/setup.py) # In CMake 3.19, add: TARGET lttoolbox

add_custom_command(OUTPUT ${CPP_WRAP_FILE} ${PYTHON_FILE}
	COMMAND ${PYTHON_EXECUTABLE} setup.py build
	COMMENT "Building ${PYTHON_FILE}"
	DEPENDS lttoolbox
)

add_custom_target(wrapper ALL
	DEPENDS ${CPP_WRAP_FILE} ${PYTHON_FILE}
	VERBATIM
)

if(NOT PYTHON_INSTALL_PARAMS)
	set(PYTHON_INSTALL_PARAMS "--prefix=${CMAKE_INSTALL_PREFIX} --root=\$ENV{DESTDIR}/")
endif()

set(INSTALL_WRAPPER "${PYTHON_EXECUTABLE} setup.py install ${PYTHON_INSTALL_PARAMS}")
install(CODE "execute_process(COMMAND ${INSTALL_WRAPPER} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")

=== debian/changelog ===
lttoolbox (3.8.2-1) unstable; urgency=medium

  * Update to latest upstream
  * Fixes build with libxml 2.14 (Closes: #1106616)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 14 Aug 2025 21:46:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lttoolbox
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                dh-exec,
-               dh-python,
+               dh-sequence-python3,
                libicu-dev,
                libutfcpp-dev,
                libxml2-dev,
@@ -15,7 +16,7 @@
                python3-dev,
                python3-setuptools,
                swig
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/lttoolbox.git
 Vcs-Browser: https://salsa.debian.org/science-team/lttoolbox
@@ -60,8 +61,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: liblttoolbox3-dev
-Replaces: apertium-separable (<< 0.6.1-1), liblttoolbox3-dev
-Breaks: apertium-separable (<< 0.6.1-1)
+Replaces: apertium-separable (<< 0.6.1), liblttoolbox3-dev
+Breaks: apertium-separable (<< 0.6.1)
 Description: Development tools and library for lttoolbox
  The lttoolbox contains the augmented letter transducer tools for natural
  language processing used by Apertium, a platform for building rule-based

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-static --enable-python-bindings 'PYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp'
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON -DENABLE_PYTHON_BINDINGS=ON "-DPYTHON_INSTALL_PARAMS=--no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp"
 
 override_dh_auto_install:
 	dh_auto_install
